BARMAN-SYNC-BACKUP(1)

NAME
barman-sync-backup - Barman Sub-Commands

SYNOPSIS

            sync-backup
                [ { -h | --help } ]
                SERVER_NAME BACKUP_ID

DESCRIPTION

This command synchronizes a passive node with its primary by copying all files from a backup present on the server node. It is available only for passive nodes and uses the primary_ssh_command option to establish a secure connection with the primary node. You can use a shortcut instead of BACKUP_ID.

PARAMETERS

    SERVER_NAME
        Name of the server in barman node

    BACKUP_ID
        Id of the backup in barman catalog.

    -h / --help
        Show a help message and exit. Provides information about command usage.

SHORTCUTS

For some commands, instead of using the timestamp backup ID, you can use the following shortcuts or aliases to identify a backup for a given server:
Shortcut | Description
first/oldest | Oldest available backup for the server, in chronological order.
last/latest | Most recent available backup for the server, in chronological order.
last-full/latest-full | Most recent full backup taken with methods rsync or postgres.
last-failed | Most recent backup that failed, in chronological order.

AUTHOR
EnterpriseDB

COPYRIGHT
© Copyright EnterpriseDB UK Limited 2011-2025